Subject: bug#3643: emacs -Q doesn't fit on the user's screen

From: Jan Djärv <[email-masked]>
Date: Fri, 15 Jan 2010 18:08:57 +0100

I've checked in a fix.
Note that the emacs frame can still end up outside the visible area, icewm 
doesn't take care of placing Emacs at +0+0 when that is what it takes to make 
Emacs fully visible.  Moving Emacs there should make Emacs fully visible.
The adjustment of size to the desktop may not work if a bigger font is set in 
elisp.

	Jan D.

[email-masked] skrev:
> On my 800x480 eeepc,
> $ emacs -Q
> ALT+F8 says the window is 21 lines high.
> Since the minibuffer is below the screen, in the scratch buffer, type
> (tool-bar-mode)C-x C-e
> The tool bar dissapears, ALT+F8 still reports the screen is 21 lines long,
> but finally all fits.
> Is this an icewm bug, reporting the same size with or without toolbar?
> Wait, it is counting screen lines, not pixels...
> $ emacs -Q --eval '(tool-bar-mode)' #gives a window too short. ALT+F8
> says it is 19 lines high.